using System;
using System.Collections.Generic;
using System.Linq;
using System.Security.Cryptography;
using System.Text;
using System.Threading.Tasks;
using PXP.Crawler.API.Designers.Controls;

namespace PXP.Crawler.API.Designers
{
    public class Designer<T>
    {
        internal DesignerControl control;
        internal T designObject;
        
        public Designer(T designObject)
        {
            this.designObject = designObject;
        }

        public T DesignObject
        {
            get
            {
                return designObject;
            }
        }

        public DesignerControl Control
        {
            get
            {
                return control;
            }
        }
    }

    public interface IDesigner<T>
    {
        Designer<T> Designer { get; }
        DesignerData DesignerData { get; set; }

        void CreateDesigner();
        void DestroyDesigner();
    }
}
